Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 972911 - pulp_rpm migration 0010 fails from 2.1 to 2.2
pulp_rpm migration 0010 fails from 2.1 to 2.2
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Retired
Component: rpm-support (Show other bugs)
2.2 Beta
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.2.0
Assigned To: Michael Hrivnak
Preethi Thomas
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 15:13 EDT by Michael Hrivnak
Modified: 2013-09-10 11:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-10 11:43:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Hrivnak 2013-06-10 15:13:47 EDT
When migrating a rhel6 repo from pulp 2.1 to 2.2 beta, the following error occurs. This looks like an issue we've dealt with before, so hopefully it won't be too difficult to fix.


---------------

$ sudo pulp-manage-db 
Beginning database migrations.
Migration package pulp.server.db.migrations is up to date at version 4
Migration package pulp_puppet.plugins.migrations is up to date at version 0
Applying pulp_rpm.migrations version 7
Migration to pulp_rpm.migrations version 7 complete.
Applying pulp_rpm.migrations version 8
Migration to pulp_rpm.migrations version 8 complete.
Applying pulp_rpm.migrations version 9
Migration to pulp_rpm.migrations version 9 complete.
Applying pulp_rpm.migrations version 10
Applying migration pulp_rpm.migrations.0010_new_importer failed.  See log for details.
2013-06-10 15:05:26,136 db:CRITICAL: Applying migration pulp_rpm.migrations.0010_new_importer failed.
2013-06-10 15:05:26,136 db:CRITICAL: 'ascii' codec can't encode character u'\xae' in position 402: ordinal not in range(128)
2013-06-10 15:05:26,177 db:CRITICAL: Traceback (most recent call last):
  File "/home/mhrivnak/git/pulp/platform/src/pulp/server/db/manage.py", line 79, in migrate_database
    update_current_version=not options.test)
  File "/home/mhrivnak/git/pulp/platform/src/pulp/server/db/migrate/models.py", line 161, in apply_migration
    migration.migrate()
  File "/home/mhrivnak/git/pulp_rpm/pulp_rpm/src/pulp_rpm/migrations/0010_new_importer.py", line 28, in migrate
    _migrate_collection(type_id)
  File "/home/mhrivnak/git/pulp_rpm/pulp_rpm/src/pulp_rpm/migrations/0010_new_importer.py", line 36, in _migrate_collection
    fake_element = ET.fromstring(fake_xml)
  File "<string>", line 124, in XML
UnicodeEncodeError: 'ascii' codec can't encode character u'\xae' in position 402: ordinal not in range(128)
Comment 1 Michael Hrivnak 2013-06-10 16:56:50 EDT
https://github.com/pulp/pulp_rpm/pull/239
Comment 2 Jeff Ortel 2013-06-11 10:15:49 EDT
build: 2.2.0-0.3.beta
Comment 3 Preethi Thomas 2013-06-22 09:04:56 EDT
verified

2.1->2.2 updated

[root@pthomas-lt ~]# service mongod restart
Redirecting to /bin/systemctl restart  mongod.service
[root@pthomas-lt ~]# pulp-manage-db 
Beginning database migrations.
Migration package pulp.server.db.migrations is up to date at version 4
Migration package pulp_puppet.plugins.migrations is up to date at version 0
Applying pulp_rpm.migrations version 7
Migration to pulp_rpm.migrations version 7 complete.
Applying pulp_rpm.migrations version 8
Migration to pulp_rpm.migrations version 8 complete.
Applying pulp_rpm.migrations version 9
Migration to pulp_rpm.migrations version 9 complete.
Applying pulp_rpm.migrations version 10
Migration to pulp_rpm.migrations version 10 complete.
Applying pulp_rpm.migrations version 11
Migration to pulp_rpm.migrations version 11 complete.
Database migrations complete.
Loading content types.
Content types loaded.
[root@pthomas-lt ~]#
Comment 4 Preethi Thomas 2013-09-10 11:43:25 EDT
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/

Note You need to log in before you can comment on or make changes to this bug.